Last modified: 2014-08-15 12:02:19 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 42837 - AFT uses dangerously generic class names like 'buttons'
AFT uses dangerously generic class names like 'buttons'
Status: PATCH_TO_REVIEW
Product: MediaWiki extensions
Classification: Unclassified
ArticleFeedbackv5 (Other open bugs)
master
All All
: Lowest normal (vote)
: ---
Assigned To: Matthias Mullie
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2012-12-07 21:17 UTC by Ryan Kaldari
Modified: 2014-08-15 12:02 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Ryan Kaldari 2012-12-07 21:17:54 UTC
AFT classes with generic names should be renamed to use mw- prefixes, unless they are actually designed to adopt some existing styles defined outside of AFT. Be careful to make any renames backwards-compatible so that things won't break due to caching. You may need to have both new and old selectors in the CSS for a little while.
Comment 1 Gerrit Notification Bot 2013-05-16 16:24:57 UTC
Related URL: https://gerrit.wikimedia.org/r/64084 (Gerrit Change I634bdc4f9857a899e670227e5828399caf8c4ade)
Comment 2 Gerrit Notification Bot 2013-05-16 16:28:32 UTC
Related URL: https://gerrit.wikimedia.org/r/64086 (Gerrit Change Ic45d1816375e2ecf3a385b3367b729f31c8bc28b)
Comment 3 Gerrit Notification Bot 2014-03-31 09:51:42 UTC
Change 64084 abandoned by Matthias Mullie:
(bug 42837) AFT uses dangerously generic class names like 'buttons'

Reason:
AFT is unmaintained, these patches are not going to get reviewed

https://gerrit.wikimedia.org/r/64084
Comment 4 Gerrit Notification Bot 2014-03-31 09:51:57 UTC
Change 64086 abandoned by Matthias Mullie:
(bug 42837) AFT uses dangerously generic class names like 'buttons'

Reason:
AFT is unmaintained, these patches are not going to get reviewed

https://gerrit.wikimedia.org/r/64086

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links